libetonyek::IWORKPositionElement Class Reference

`#include <IWORKPositionElement.h>`

Inheritance diagram for libetonyek::IWORKPositionElement:

## Public Member Functions
| IWORKPositionElement (IWORKXMLParserState &state, boost::optional< IWORKPosition > &position)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextEmpty
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
boost::optional< IWORKPosition > & | m_position
boost::optional< double > | m_x
boost::optional< double > | m_y

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPositionElement()

libetonyek::IWORKPositionElement::IWORKPositionElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKPosition > & | position )

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKPositionElement::attribute | ( | int | name,
|  | const char * | value )
| override protected virtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKPositionElement::endOfElement | ( |  | ) |
| override protected virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_position

boost::optional<IWORKPosition>& libetonyek::IWORKPositionElement::m_position
| private

Referenced by endOfElement(), and IWORKPositionElement().

## ◆ m_x

boost::optional<double> libetonyek::IWORKPositionElement::m_x
| private

Referenced by attribute(), endOfElement(), and IWORKPositionElement().

## ◆ m_y

boost::optional<double> libetonyek::IWORKPositionElement::m_y
| private

Referenced by attribute(), endOfElement(), and IWORKPositionElement().

The documentation for this class was generated from the following files:

- IWORKPositionElement.h
- IWORKPositionElement.cpp